## WDS Packet Service Status indication WDS Packet Service Status indication |

## Functions

QmiIndicationWdsPacketServiceStatusOutput * | qmi_indication_wds_packet_service_status_output_ref ()
void | qmi_indication_wds_packet_service_status_output_unref ()
gboolean | qmi_indication_wds_packet_service_status_output_get_extended_technology_preference ()
gboolean | qmi_indication_wds_packet_service_status_output_get_ip_family ()
gboolean | qmi_indication_wds_packet_service_status_output_get_verbose_call_end_reason ()
gboolean | qmi_indication_wds_packet_service_status_output_get_call_end_reason ()
gboolean | qmi_indication_wds_packet_service_status_output_get_connection_status ()

## Types and Values

| QmiIndicationWdsPacketServiceStatusOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationWdsPacketServiceStatusOutput

## Description

## Functions

### qmi_indication_wds_packet_service_status_output_ref ()

    QmiIndicationWdsPacketServiceStatusOutput *
    qmi_indication_wds_packet_service_status_output_ref
                                   (QmiIndicationWdsPacketServiceStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationWdsPacketServiceStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_indication_wds_packet_service_status_output_unref ()

    void
    qmi_indication_wds_packet_service_status_output_unref
                                   (QmiIndicationWdsPacketServiceStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationWdsPacketServiceStatusOutput. |

Since: 1.14

### qmi_indication_wds_packet_service_status_output_get_extended_technology_preference ()

    gboolean
    qmi_indication_wds_packet_service_status_output_get_extended_technology_preference
                                   (QmiIndicationWdsPacketServiceStatusOutput *self,
                                    QmiWdsExtendedTechnologyPreference *value_extended_technology_preference,
                                    GError **error);

Get the 'Extended Technology Preference' field from `self` .

#### Parameters

self | a QmiIndicationWdsPacketServiceStatusOutput. |
value_extended_technology_preference | a placeholder for the output QmiWdsExtendedTechnologyPreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_indication_wds_packet_service_status_output_get_ip_family ()

    gboolean
    qmi_indication_wds_packet_service_status_output_get_ip_family
                                   (QmiIndicationWdsPacketServiceStatusOutput *self,
                                    QmiWdsIpFamily *value_ip_family,
                                    GError **error);

Get the 'IP Family' field from `self` .

#### Parameters

self | a QmiIndicationWdsPacketServiceStatusOutput. |
value_ip_family | a placeholder for the output QmiWdsIpFamily, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_indication_wds_packet_service_status_output_get_verbose_call_end_reason ()

    gboolean
    qmi_indication_wds_packet_service_status_output_get_verbose_call_end_reason
                                   (QmiIndicationWdsPacketServiceStatusOutput *self,
                                    QmiWdsVerboseCallEndReasonType *value_verbose_call_end_reason_type,
                                    gint16 *value_verbose_call_end_reason_reason,
                                    GError **error);

Get the 'Verbose Call End Reason' field from `self` .

#### Parameters

self | a QmiIndicationWdsPacketServiceStatusOutput. |
value_verbose_call_end_reason_type | a placeholder for the output QmiWdsVerboseCallEndReasonType, or `NULL` if not required. |
value_verbose_call_end_reason_reason | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_indication_wds_packet_service_status_output_get_call_end_reason ()

    gboolean
    qmi_indication_wds_packet_service_status_output_get_call_end_reason
                                   (QmiIndicationWdsPacketServiceStatusOutput *self,
                                    QmiWdsCallEndReason *value_call_end_reason,
                                    GError **error);

Get the 'Call End Reason' field from `self` .

#### Parameters

self | a QmiIndicationWdsPacketServiceStatusOutput. |
value_call_end_reason | a placeholder for the output QmiWdsCallEndReason, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_indication_wds_packet_service_status_output_get_connection_status ()

    gboolean
    qmi_indication_wds_packet_service_status_output_get_connection_status
                                   (QmiIndicationWdsPacketServiceStatusOutput *self,
                                    QmiWdsConnectionStatus *value_connection_status_status,
                                    gboolean *value_connection_status_reconfiguration_required,
                                    GError **error);

Get the 'Connection Status' field from `self` .

#### Parameters

self | a QmiIndicationWdsPacketServiceStatusOutput. |
value_connection_status_status | a placeholder for the output QmiWdsConnectionStatus, or `NULL` if not required. |
value_connection_status_reconfiguration_required | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

## Types and Values

### QmiIndicationWdsPacketServiceStatusOutput

    typedef struct _QmiIndicationWdsPacketServiceStatusOutput QmiIndicationWdsPacketServiceStatusOutput;

The QmiIndicationWdsPacketServiceStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14